Components API

Provides information about enabled OMN components.

Retrieve components

/common/components/retrieve Retrieves a list of enabled OMN components
Table 1. Details

Resource path

/api/core/v1/common/components/retrieve

HTTP method

POST

Response content type

application/json

Return Type

Map <String, String>. key - component name, value - status of the component

Responses
Table 2. Http response codes
Code Message Datatype

200

Components with statuses

Map <String, String>.

400

Invalid input provided

ResponseType

404

The requested resource could not be found

ResponseType

500

An unknown internal error occurred

ResponseType

Samples
Get all components
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/common/components/retrieve' \
--header 'Authorization: Bearer <TOKEN> \
--header 'Content-Type: application/json'
Response body
{
    "omn-versioning": "inactive",
    "omn-search": "active"
}

Welcome to the AI Chat!

Write a prompt to get started...